Subject: Re: TCP Connection teardown seems to violate TCP specification

From: Damian Lukowski <[email-masked]>
Date: Wed, 14 Aug 2013 22:46:40 +0200

Hi,

I've seen this with wget 1.14 and curl 7.30.0 on 3.11-rc5 (Gentoo),
with wget 1.15 and curl 7.26.0 on 3.5.7 (other Gentoo machine),
with wget 1.12 and curl 7.19.7 on 2.6.32 (Centos 6.4),

Regards
 Damian

Am Mittwoch, den 14.08.2013, 12:50 -0700 schrieb Yuchung Cheng:
> On Wed, Aug 14, 2013 at 12:21 PM, Damian Lukowski
> <[email-masked]> wrote:
> > Hi,
> >
> > the TCP specification states that an endpoint has to accept
> > packets from the other side even after it has half-closed the
> > connection locally. This does not seem to be the case
> > under Linux?
> >
> > For example, when I wget -O /dev/null https://www.verisign.com/
> > --max-redir 0, the local TCP stack sends an FIN,ACK close to the end.
> > However, the webserver has more data to send (Encrypted Alert).
> > Instead of ACKing the packet, the local side sends a RST.
> > This seems wrong to me.
> 
> Which wget are you using? it's not doing half-close (i.e.,
> shutdown(SHUT_WR)) on my wget version 1.13.4
> 
> 
> >
> > Regards
> >  Damian
> >
> > --
> > To unsubscribe from this list: send the line "unsubscribe netdev" in
> > the body of a message to [email-masked]
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html